# $Revision: 1.12 $, $Date: 2007/06/08 17:46:42 $
Summary:	GNU Triangulated Surface Library
Summary(pl.UTF-8):	Biblioteka triangulowanych powierzchni GNU
Name:		gts
Version:	0.7.6
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gts/%{name}-%{version}.tar.gz
# Source0-md5:	9f710aefd2ed9b3cc1b1216171fc5a8a
Patch0:		%{name}-as_needed-fix.patch
Patch1:		%{name}-lib64-gts-config.in.patch
URL:		http://gts.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTS stands for the GNU Triangulated Surface Library. It includes a
number of useful functions to deal with triangulated surfaces
including, but not limited to, multi-resolution models, Delaunay and
Constrained Delaunay triangulations, set operations on surfaces
(intersection, union etc ...), bounding-boxes trees for efficient
collision and intersection detection, triangle strips generation for
fast rendering.

%description -l pl.UTF-8
GTS oznacza bibliotekę triangulowanych powierzchni GNU. Zawiera wiele
użytecznych funkcji do operacji na triangulowanych powierzchniach, w
tym między innymi modele w wielu rozdzielczościach, triangulacje
Delaunaya i ograniczona Delaunaya, zestaw operacji na powierzchniach
(przecięcia, sumy itd...), drzewa prostopadłościanów ograniczających
do wydajnego wykrywania kolizji i przecięć, szybkie generowanie pasów
trójkątów dla szybkiego renderingu.

%package devel
Summary:	Header files for gts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.4.0

%description devel
Header files for gts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gts.

%package static
Summary:	Static gts library
Summary(pl.UTF-8):	Statyczna biblioteka gts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gts library.

%description static -l pl.UTF-8
Statyczna biblioteka gts.

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/gts[2ct]*
%attr(755,root,root) %{_bindir}/[dst]*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
#%doc doc/html/*
%attr(755,root,root) %{_bindir}/gts-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gts.spec,v $
Revision 1.12  2007/06/08 17:46:42  arekm
- rel 3

Revision 1.11  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.9  2006/09/09 06:50:16  qboosh
- fixed patch condition

Revision 1.8  2006/09/08 21:43:33  cieciwa
- release 2
- fix problem with 64 bit library searching.

Revision 1.7  2006/09/06 19:10:01  qboosh
- removed obsolete alpha patch
- more deps, package delaunay utility

Revision 1.6  2006/09/05 09:14:07  sparky
- added as_needed-fix patch (untested)

Revision 1.5  2006/09/05 08:43:41  cieciwa
- removed patch0 - not needed in this version.

Revision 1.4  2006/09/05 08:40:27  cieciwa
- updated to version 0.7.6,
- release 1,
- updated MD5 sum.

Revision 1.3  2004/11/07 01:47:40  undefine
- small patch to build on alpha

Revision 1.2  2004/11/05 18:17:29  qboosh
- pl fixes (ufff)

Revision 1.1  2004/11/05 00:26:55  undefine
- initital pld version
